<?php
/**
 * Rob's Blog (http://www.robkeplin.com)
 *
 * @link http://www.robkeplin.com
 * @copyright Copyright (c) 2012 Rob Keplin
 * @license TBD
 */

namespace Blog\View\Helper;

use Zend\View\Helper\AbstractHelper;
use Blog\Model\Quote;

/**
 * DisplayQuote
 *
 * @package Blog\View
 */
class DisplayQuote
    extends AbstractHelper
{
    /**
     * @var Quote
     **/
    private $quote;

    /**
     * Returns HTML for quote
     *
     * @param void
     * @return string
     * @override
     **/
    public function __invoke()
    {
        $quote = $this->quote;

        $string = $quote->getQuote() . ' - ' . $quote->getAuthor();

        return $string;
    }

    /**
     * Sets Quote
     *
     * @param Quote $quote
     * @return void
     **/
    public function setQuote(Quote $quote)
    {
        $this->quote = $quote;
    }

}